org.apache.mina.integration.xbean

## Class SocketAddressFactory

- java.lang.Object
- - org.apache.mina.integration.xbean.SocketAddressFactory

-     public class SocketAddressFactory
      extends Object

  Workaround for dealing with inability to annotate java docs of JDK socket address classes.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketAddressFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SocketAddress` | `create(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketAddressFactory

          public SocketAddressFactory()

  - ### Method Detail

    - #### create

          public static SocketAddress create(String value)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.